
%global meadversion 1.1.4
%global namedversion 1.1.4.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-websocket-api_1.1_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.4.Final-redhat-00001

Name:           %{?scl_prefix}jboss-websocket-api_1.1_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java(TM) API for WebSocket
Group:          Development/Java

%if %with mead
Source100: jboss-websocket-api_1.1_spec-1.1.4.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-websocket-api_1.1_spec-1.1.4.Final-redhat-00001.pom
Source103: jboss-websocket-api_1.1_spec-1.1.4.Final-redhat-00001-sources.jar
Source104: jboss-websocket-api_1.1_spec-1.1.4.Final-redhat-00001.jar
Source105: jboss-websocket-api_1.1_spec-1.1.4.Final-redhat-00001-javadoc.jar
%endif

License:        CDDL-1.1 or GPLv2 with exceptions
URL:            https://github.com/jboss/jboss-websocket-api_spec
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-websocket-api_1.1_spec-%{namedversion}-%{release}-root

%description
JSR-356: Java(TM) API for WebSocket 1.1 classes.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-websocket-api_1.1_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-websocket-api_1.1_spec-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-websocket-api_1.1_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-websocket-api_1.1_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-websocket-api_1.1_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-websocket-api_1.1_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-websocket-api_1.1_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-websocket-api_1.1_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-websocket-api_1.1_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-websocket-api_1.1_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-websocket-api_1.1_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-websocket-api_1.1_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-websocket-api_1.1_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-websocket-api_1.1_spec
%defattr(0644,root,root,0755)
%doc LICENSE README README.md
%{_javadir}/jboss-websocket-api_1.1_spec-%{namedversion}.jar
%{_javadir}/jboss-websocket-api_1.1_spec.jar
%if %with javadoc
%{_javadir}/jboss-websocket-api_1.1_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-websocket-api_1.1_spec-javadoc.jar
%endif
%{_javadir}/jboss-websocket-api_1.1_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-websocket-api_1.1_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-websocket-api_1.1_spec-%{namedversion}
%{_javadocdir}/jboss-websocket-api_1.1_spec
%endif

%changelog
* Thu Jul 18 2019 Permaine Cheung <pcheung@redhat.com> - 1.1.4-1.Final_redhat_00001.1
- 1.1.4.Final-redhat-00001

* Mon Jun 25 2018 Yong Yang <yyang@redhat.com> - 1.1.3-1.Final_redhat_1.1
-  1.1.3.Final-redhat-1 for eap 7.2.0

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.1.1-3.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Tue Oct 17 2017 Permaine Cheung <pcheung@redhat.com> - 1.1.1-2.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Wed Jun 10 2015 Hui Wang <huwang@redhat.com> - 1.1.1-1.Final_redhat_1.1
- Initial build

